Bug 1634592

Summary: python-metakernel: Remove (sub)packages from Fedora 30+: python2-metakernel, python2-metakernel-bash, python2-metakernel-echo, python2-metakernel-python, python2-metakernel-tests
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-metakernelAssignee: Mattias Ellert <mattias.ellert>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, igor.raits, mattias.ellert, mhroncok, ngompa13, pviktori, zbyszek
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-metakernel-0.20.14-8.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-13 17:34:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2018-10-01 08:58:22 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-metakernel were marked for removal:

 * python2-metakernel-tests

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Mattias Ellert 2018-10-22 16:46:07 UTC
Removing the -test package only does not make sense.

This is a package split, where the test classes are split out into a separate package. Any package that requires the main package could at some point have a new test added that requires these test classes. If the -test package is removed such tests would not be able to run.

The -test package should be removed at the same time as the main package.

Comment 2 Miro Hrončok 2018-10-22 16:53:54 UTC
Perfectly valid. Sorry, the automation doesn't know what a subpackage is for.

Comment 3 Miro Hrončok 2018-11-12 09:39:28 UTC
Remove all python2 subpackages, nothings depends on them. Thanks.